#!/system/bin/sh
if [ -f /system/etc/recovery-transform.sh ]; then
  exec sh /system/etc/recovery-transform.sh 8964096 93c42a5e3d87fbef7df3911ca1add30ded45da18 6443008 e3c5ccccfbfa3ad0dbe10ba9117838088f617a80
fi

if ! applypatch -c MTD:/dev/block/recovery:8964096:93c42a5e3d87fbef7df3911ca1add30ded45da18; then
  applypatch -b /system/etc/recovery-resource.dat MTD:/dev/block/boot:6443008:e3c5ccccfbfa3ad0dbe10ba9117838088f617a80 MTD:/dev/block/recovery 93c42a5e3d87fbef7df3911ca1add30ded45da18 8964096 e3c5ccccfbfa3ad0dbe10ba9117838088f617a80:/system/recovery-from-boot.p && log -t recovery "Installing new recovery image: succeeded" || log -t recovery "Installing new recovery image: failed"
else
  log -t recovery "Recovery image already installed"
fi
